#PATH=/opt/darktable-4.2.1/bin:$PATH
#export PATH
LOGF=./logs/export-$(date +%Y-%m-%dT%H-%M).log
echo $LOGF
echo "------------ Start -------------" |tee -a $LOGF
darktable --version | tee -a $LOGF
cat /proc/cpuinfo |grep 'model name'|uniq | tee -a $LOGF
cat /proc/meminfo |grep '^Mem'|uniq | tee -a $LOGF
echo "--------------------------------" |tee -a $LOGF
echo " " |tee -a $LOGF
declare -a raw=()
declare -a xmp=()
raw+=("210318-DSC01132.arw" "210318-DSC01132.arw")
xmp+=("210318-DSC01132_01.arw.xmp" "210318-DSC01132_02.arw.xmp")
raw+=("150828-20546.RAF" "150828-20546.RAF")
xmp+=("150828-20546_01.RAF.xmp" "150828-20546_02.RAF.xmp")
arraylength=${#raw[@]}
for (( i=0; i<${arraylength}; i++ ));
do
  rawfile=${raw[$i]}
  xmpfile=${xmp[$i]}
  echo "____________ CPU ${xmpfile} full size ____________________________________________________________________________________________________________" |tee -a $LOGF
  darktable-cli ${rawfile} ${xmpfile} test.jpg --core -d perf -d tiling --disable-opencl --configdir config  2>&1 | tee -a $LOGF
  echo "--------------------------------------------------------------------------------------------------------------------------------------------------" |tee -a $LOGF
  echo " " |tee -a $LOGF
  echo "____________ OpenCL ${xmpfile} full size _________________________________________________________________________________________________________" |tee -a $LOGF
  darktable-cli ${rawfile} ${xmpfile} test.jpg --core -d perf -d tiling -d opencl --configdir config  2>&1 | tee -a $LOGF
  echo "--------------------------------------------------------------------------------------------------------------------------------------------------" |tee -a $LOGF
  echo " " |tee -a $LOGF
  echo " " |tee -a $LOGF
done
rm test*.jpg
